summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Pierre Cazenave <pwcazenave {at} gmail {dot} com>2010-05-12 23:33:30 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:33:30 +0200
commitd4e5acf32462482affa7ac430890944478694f17 (patch)
tree27e96a992bb1ba70489a279e4e42d59c439276fc
parentb999acbfd5b113b085252abfab281f89969a91b8 (diff)
downloadslackbuilds-d4e5acf32462482affa7ac430890944478694f17.tar.gz
slackbuilds-d4e5acf32462482affa7ac430890944478694f17.tar.xz
system/fdupes: Added to 12.2 repository
-rw-r--r--system/fdupes/README9
-rw-r--r--system/fdupes/fdupes.SlackBuild84
-rw-r--r--system/fdupes/fdupes.info8
-rw-r--r--system/fdupes/slack-desc11
4 files changed, 112 insertions, 0 deletions
diff --git a/system/fdupes/README b/system/fdupes/README
new file mode 100644
index 0000000000..9aa0e81f2c
--- /dev/null
+++ b/system/fdupes/README
@@ -0,0 +1,9 @@
+FDUPES is a program for identifying or deleting duplicate files residing
+within specified directories.
+
+The current version of fdupes is distributed as fdupes-1.40.tar.gz. No
+later version has been officially released. Users should get this version,
+as it's presumably the most reliable. Developers and beta testers should
+look at the versions below.
+
+http://netdial.caribe.net/~adrian2/fdupes.html
diff --git a/system/fdupes/fdupes.SlackBuild b/system/fdupes/fdupes.SlackBuild
new file mode 100644
index 0000000000..cbc26afc2b
--- /dev/null
+++ b/system/fdupes/fdupes.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for duplicate file finder fdupes
+#
+# 17/12/2008 - Original script.
+# 28/05/2009 - Updated for Slackware64 and general tidy up.
+#
+# Copyright 2008, 2009 Pierre Cazenave <pwcazenave {at} gmail [dot] com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+
+PRGNAM=fdupes
+VERSION=1.40
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# make the program directories since the Makefile doesn't
+mkdir -p $PKG/usr/man/man1 $PKG/usr/bin
+
+make install \
+ INSTALLDIR=$PKG/usr/bin \
+ MANPAGEDIR=$PKG/usr/man
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES CONTRIBUTORS INSTALL README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/fdupes/fdupes.info b/system/fdupes/fdupes.info
new file mode 100644
index 0000000000..9af960580d
--- /dev/null
+++ b/system/fdupes/fdupes.info
@@ -0,0 +1,8 @@
+PRGNAM="fdupes"
+VERSION="1.40"
+HOMEPAGE="http://netdial.caribe.net/~adrian2/fdupes.html"
+DOWNLOAD="http://netdial.caribe.net/~adrian2/programs/fdupes-1.40.tar.gz"
+MD5SUM="11de9ab4466089b6acbb62816b30b189"
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave {at} gmail {dot} com"
+APPROVED="dsomero"
diff --git a/system/fdupes/slack-desc b/system/fdupes/slack-desc
new file mode 100644
index 0000000000..1f5ea2ee94
--- /dev/null
+++ b/system/fdupes/slack-desc
@@ -0,0 +1,11 @@
+fdupes: FDUPES (program for identifying or deleting duplicate files)
+fdupes:
+fdupes: FDUPES is a program for identifying or deleting duplicate files
+fdupes: residing within specified directories.
+fdupes:
+fdupes: The current version of fdupes is distributed as
+fdupes: fdupes-1.40.tar.gz. No later version has been officially released.
+fdupes: Users should get this version, as it's presumably the most reliable.
+fdupes:
+fdupes: http://premium.caribe.net/~adrian2/fdupes.html
+fdupes: \ No newline at end of file